VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::appliance::health::System Interface Reference

`System` interface provides methods Get overall health of system. More...

Inherited by vmware::appliance::health::SystemStub.

List of all members.

## Public Member Functions
global::System.DateTimeOffset | Lastcheck ()
| Get last check timestamp of the health of the system.
global::System.DateTimeOffset | Lastcheck (global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Get last check timestamp of the health of the system.
global::System.Threading.Tasks.Task < global::System.DateTimeOffset > | LastcheckAsync ()
| Get last check timestamp of the health of the system.
global::System.Threading.Tasks.Task < global::System.DateTimeOffset > | LastcheckAsync (global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Get last check timestamp of the health of the system.
vmware.appliance.health.SystemTypes.HealthLevel | Get ()
| Get overall health of system.
vmware.appliance.health.SystemTypes.HealthLevel | Get (global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Get overall health of system.
global::System.Threading.Tasks.Task < vmware.appliance.health.SystemTypes.HealthLevel > | GetAsync ()
| Get overall health of system.
global::System.Threading.Tasks.Task < vmware.appliance.health.SystemTypes.HealthLevel > | GetAsync (global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Get overall health of system.

## Detailed Description

`System` interface provides methods Get overall health of system.

## Member Function Documentation

vmware.appliance.health.SystemTypes.HealthLevel vmware::appliance::health::System::Get | ( |  | ) |

Get overall health of system.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Returns:
  System health.

Implemented in vmware::appliance::health::SystemStub.

vmware.appliance.health.SystemTypes.HealthLevel vmware::appliance::health::System::Get | ( | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Get overall health of system.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Returns:
  System health.

Implemented in vmware::appliance::health::SystemStub.

global::System.Threading.Tasks.Task<vmware.appliance.health.SystemTypes.HealthLevel> vmware::appliance::health::System::GetAsync | ( | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Get overall health of system.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Returns:
  System health.

Implemented in vmware::appliance::health::SystemStub.

global::System.Threading.Tasks.Task<vmware.appliance.health.SystemTypes.HealthLevel> vmware::appliance::health::System::GetAsync | ( |  | ) |

Get overall health of system.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Returns:
  System health.

Implemented in vmware::appliance::health::SystemStub.

global::System.DateTimeOffset vmware::appliance::health::System::Lastcheck | ( | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Get last check timestamp of the health of the system.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Returns:
  System health last check timestamp.

Implemented in vmware::appliance::health::SystemStub.

global::System.DateTimeOffset vmware::appliance::health::System::Lastcheck | ( |  | ) |

Get last check timestamp of the health of the system.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Returns:
  System health last check timestamp.

Implemented in vmware::appliance::health::SystemStub.

global::System.Threading.Tasks.Task<global::System.DateTimeOffset> vmware::appliance::health::System::LastcheckAsync | ( |  | ) |

Get last check timestamp of the health of the system.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Returns:
  System health last check timestamp.

Implemented in vmware::appliance::health::SystemStub.

global::System.Threading.Tasks.Task<global::System.DateTimeOffset> vmware::appliance::health::System::LastcheckAsync | ( | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Get last check timestamp of the health of the system.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Returns:
  System health last check timestamp.

Implemented in vmware::appliance::health::SystemStub.

The documentation for this interface was generated from the following file:

- System.cs